Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90	(revision 5082)
@@ -197,5 +197,5 @@
        ! Computation of the total perpendicular lidar signal (ATBperp for liq+ice)
        ! Upper layer
-       WHERE(tautot(1:npoints,icol,1) .gt. 0)
+       WHERE(tautot(1:npoints,icol,1) > 0)
           pnorm_perp_tot(1:npoints,icol,1) = (beta_perp_ice(1:npoints,icol,1)+           &
                beta_perp_liq(1:npoints,icol,1)-                                          &
@@ -217,8 +217,8 @@
           ! Betaperp=beta_mol(:,k)/(1+1/0.0284)) [bodhaine et al. 1999] in the following 
           ! equations:
-          WHERE (pnorm(1:npoints,icol,k) .eq. 0)
+          WHERE (pnorm(1:npoints,icol,k) == 0)
              pnorm_perp_tot(1:npoints,icol,k)=0._wp
           ELSEWHERE
-             where(tautot_lay(1:npoints) .gt. 0.)
+             where(tautot_lay(1:npoints) > 0.)
                 pnorm_perp_tot(1:npoints,icol,k) = (beta_perp_ice(1:npoints,icol,k)+     &
                    beta_perp_liq(1:npoints,icol,k)-(beta_mol(1:npoints,k)/(1._wp+1._wp/  &
@@ -318,6 +318,6 @@
        do ic = 1, ncol
           pnorm_c = pnormFlip(:,ic,:)
-          where ((pnorm_c .lt. xmax) .and. (betamolFlip(:,1,:) .lt. xmax) .and.          &
-                (betamolFlip(:,1,:) .gt. 0.0 ))
+          where ((pnorm_c < xmax) .and. (betamolFlip(:,1,:) < xmax) .and.          &
+                (betamolFlip(:,1,:) > 0.0 ))
              x3d_c = pnorm_c/betamolFlip(:,1,:)
           elsewhere
@@ -333,5 +333,5 @@
        do ic = 1, ncol
           pnorm_c = pnorm(:,ic,:)
-          where ((pnorm_c.lt.xmax) .and. (pmol.lt.xmax) .and. (pmol.gt. 0.0 ))
+          where ((pnorm_c<xmax) .and. (pmol<xmax) .and. (pmol> 0.0 ))
              x3d_c = pnorm_c/pmol
           elsewhere
@@ -354,5 +354,5 @@
           enddo
        enddo
-       where(cfad2 .ne. R_UNDEF) cfad2=cfad2/ncol
+       where(cfad2 /= R_UNDEF) cfad2=cfad2/ncol
 
     endif 
@@ -389,6 +389,6 @@
     do k=2,nlev
        tautot_lay(:) = tau(:,k)-tau(:,k-1) 
-       WHERE ( EXP(-2._wp*tau(:,k-1)) .gt. 0. )
-          WHERE (tautot_lay(:) .gt. 0.)
+       WHERE ( EXP(-2._wp*tau(:,k-1)) > 0. )
+          WHERE (tautot_lay(:) > 0.)
              pnorm(:,k) = beta(:,k)*EXP(-2._wp*tau(:,k-1)) /&
                   (2._wp*tautot_lay(:))*(1._wp-EXP(-2._wp*tautot_lay(:)))
@@ -418,6 +418,6 @@
     do k=2,nlev
        tautot_lay(:) = tau(:,k)-tau(:,k-1)       
-       WHERE ( EXP(-2._wp*tau(:,k-1)) .gt. 0. )
-          WHERE (tautot_lay(:) .gt. 0.)
+       WHERE ( EXP(-2._wp*tau(:,k-1)) > 0. )
+          WHERE (tautot_lay(:) > 0.)
              beta(:,k) = pnorm(:,k)/ EXP(-2._wp*tau(:,k-1))* &
                   (2._wp*tautot_lay(:))/(1._wp-exp(-2._wp*tautot_lay(:)))
@@ -539,5 +539,5 @@
     do k=1,Nlevels
        ! Cloud detection at subgrid-scale:
-       where ((x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
+       where ((x(:,:,k) > S_cld) .and. (x(:,:,k) /= undef) )
           cldy(:,:,k)=1._wp
        elsewhere
@@ -546,5 +546,5 @@
        
        ! Number of usefull sub-columns:
-       where ((x(:,:,k) .gt. S_att) .and. (x(:,:,k) .ne. undef) )
+       where ((x(:,:,k) > S_att) .and. (x(:,:,k) /= undef) )
           srok(:,:,k)=1._wp
        elsewhere
@@ -566,7 +566,7 @@
              ! Computation of the cloud fraction as a function of the temperature instead
              ! of height, for ice,liquid and all clouds
-             if(srok(ip,ic,k).gt.0.)then
+             if(srok(ip,ic,k)>0.)then
                 do itemp=1,Ntemp
-                   if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
+                   if( (tmp(ip,k)>=tempmod(itemp)).and.(tmp(ip,k)<tempmod(itemp+1)) )then
                       lidarcldtempind(ip,itemp)=lidarcldtempind(ip,itemp)+1._wp
                    endif
@@ -574,7 +574,7 @@
              endif
              
-             if(cldy(ip,ic,k).eq.1.)then
+             if(cldy(ip,ic,k)==1.)then
                 do itemp=1,Ntemp 
-                   if( (tmp(ip,k) .ge. tempmod(itemp)).and.(tmp(ip,k) .lt. tempmod(itemp+1)) )then
+                   if( (tmp(ip,k) >= tempmod(itemp)).and.(tmp(ip,k) < tempmod(itemp+1)) )then
                       lidarcldtemp(ip,itemp,1)=lidarcldtemp(ip,itemp,1)+1._wp
                    endif
@@ -584,7 +584,7 @@
              iz=1
              p1 = pplay(ip,k)
-             if ( p1.gt.0. .and. p1.lt.(440._wp*100._wp)) then ! high clouds
+             if ( p1>0. .and. p1<(440._wp*100._wp)) then ! high clouds
                 iz=3
-             else if(p1.ge.(440._wp*100._wp) .and. p1.lt.(680._wp*100._wp)) then ! mid clouds
+             else if(p1>=(440._wp*100._wp) .and. p1<(680._wp*100._wp)) then ! mid clouds
                 iz=2
              endif
@@ -603,5 +603,5 @@
     
     ! Grid-box 3D cloud fraction
-    where ( nsub(:,:).gt.0.0 )
+    where ( nsub(:,:)>0.0 )
        lidarcld(:,:) = lidarcld(:,:)/nsub(:,:)
     elsewhere
@@ -618,5 +618,5 @@
        enddo
     enddo
-    where (nsublayer(:,:) .gt. 0.0)
+    where (nsublayer(:,:) > 0.0)
        cldlayer(:,:) = cldlayer(:,:)/nsublayer(:,:)
     elsewhere
@@ -637,5 +637,5 @@
 
              ! Avoid zero values
-             if( (cldy(i,ncol,nlev).eq.1.) .and. (ATBperp(i,ncol,nlev).gt.0.) )then
+             if( (cldy(i,ncol,nlev)==1.) .and. (ATBperp(i,ncol,nlev)>0.) )then
                 ! Computation of the ATBperp along the phase discrimination line
                 ATBperp_tmp = (ATB(i,ncol,nlev)**5)*alpha50 + (ATB(i,ncol,nlev)**4)*beta50 + &
@@ -645,8 +645,8 @@
                 ! 4.1.a) Ice: ATBperp above the phase discrimination line
                 ! ########################################################################
-                if((ATBperp(i,ncol,nlev)-ATBperp_tmp) .ge. 0.)then ! Ice clouds
+                if((ATBperp(i,ncol,nlev)-ATBperp_tmp) >= 0.)then ! Ice clouds
 
                    ! ICE with temperature above 273,15°K = Liquid (false ice)
-                   if(tmp(i,nlev) .gt. 273.15) then ! Temperature above 273,15 K
+                   if(tmp(i,nlev) > 273.15) then ! Temperature above 273,15 K
                      ! Liquid: False ice corrected by the temperature to Liquid
                       lidarcldphase(i,nlev,2) = lidarcldphase(i,nlev,2)+1._wp ! False ice detection ==> added to Liquid
@@ -656,7 +656,7 @@
                                                                               ! to classify the phase cloud
                       cldlayphase(i,ncol,4,2) = 1. ! tot cloud
-                      if (p1 .gt. 0. .and. p1.lt.(440._wp*100._wp)) then ! high cloud
+                      if (p1 > 0. .and. p1<(440._wp*100._wp)) then ! high cloud
                          cldlayphase(i,ncol,3,2) = 1._wp
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then ! mid cloud
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then ! mid cloud
                          cldlayphase(i,ncol,2,2) = 1._wp
                       else ! low cloud
@@ -665,8 +665,8 @@
                       cldlayphase(i,ncol,4,5) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then 
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,5) = 1._wp
                       ! Middle cloud
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,5) = 1._wp
                       ! Low cloud
@@ -680,8 +680,8 @@
                       cldlayphase(i,ncol,4,1) = 1._wp ! tot cloud 
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then 
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,1) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then 
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,1) = 1._wp
                       ! Low cloud
@@ -695,13 +695,13 @@
                 else
                    ! Liquid with temperature above 231,15°K
-                   if(tmp(i,nlev) .gt. 231.15_wp) then
+                   if(tmp(i,nlev) > 231.15_wp) then
                       lidarcldphase(i,nlev,2) = lidarcldphase(i,nlev,2)+1._wp
                       tmpl(i,ncol,nlev)       = tmp(i,nlev)
                       cldlayphase(i,ncol,4,2) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,2) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,2) = 1._wp
                       ! Low cloud   
@@ -716,8 +716,8 @@
                       cldlayphase(i,ncol,4,4) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,4) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,4) = 1._wp
                       ! Low cloud
@@ -727,8 +727,8 @@
                       cldlayphase(i,ncol,4,1) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,1) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,1) = 1._wp
                       ! Low cloud   
@@ -748,5 +748,5 @@
              p1 = pplay(i,nlev)
 
-             if((cldy(i,ncol,nlev) .eq. 1.) .and. (ATBperp(i,ncol,nlev) .gt. 0.) )then
+             if((cldy(i,ncol,nlev) == 1.) .and. (ATBperp(i,ncol,nlev) > 0.) )then
                 ! Computation of the ATBperp of the phase discrimination line
                 ATBperp_tmp = (ATB(i,ncol,nlev)**5)*alpha50 + (ATB(i,ncol,nlev)**4)*beta50 + &
@@ -757,6 +757,6 @@
                 ! ########################################################################
                 ! ICE with temperature above 273,15°K = Liquid (false ice)
-                if((ATBperp(i,ncol,nlev)-ATBperp_tmp) .ge. 0.)then ! Ice clouds
-                   if(tmp(i,nlev) .gt. 273.15)then
+                if((ATBperp(i,ncol,nlev)-ATBperp_tmp) >= 0.)then ! Ice clouds
+                   if(tmp(i,nlev) > 273.15)then
                       lidarcldphase(i,nlev,2) = lidarcldphase(i,nlev,2)+1._wp ! false ice ==> liq
                       tmpl(i,ncol,nlev)       = tmp(i,nlev)
@@ -764,8 +764,8 @@
                       cldlayphase(i,ncol,4,2) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then 
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,2) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then 
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,2) = 1._wp
                       ! Low cloud
@@ -776,8 +776,8 @@
                       cldlayphase(i,ncol,4,5) = 1. ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,5) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,5) = 1._wp
                       ! Low cloud   
@@ -791,8 +791,8 @@
                       cldlayphase(i,ncol,4,1) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,1) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt.(680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 <(680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,1) = 1._wp
                       ! Low cloud   
@@ -807,13 +807,13 @@
                 else
                    ! Liquid with temperature above 231,15°K
-                   if(tmp(i,nlev) .gt. 231.15)then
+                   if(tmp(i,nlev) > 231.15)then
                       lidarcldphase(i,nlev,2) = lidarcldphase(i,nlev,2)+1._wp
                       tmpl(i,ncol,nlev)       = tmp(i,nlev)
                       cldlayphase(i,ncol,4,2) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,2) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,2) = 1._wp
                       ! Low cloud   
@@ -828,8 +828,8 @@
                       cldlayphase(i,ncol,4,4) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,4) = 1._wp
                       ! Middle   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,4) = 1._wp
                       ! Low cloud   
@@ -840,8 +840,8 @@
                       cldlayphase(i,ncol,4,1) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,1) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,1) = 1._wp
                       ! Low cloud   
@@ -855,5 +855,5 @@
                 
                 ! Find the level of the highest cloud with SR>30
-                if(x(i,ncol,nlev) .gt. S_cld_att) then ! SR > 30.
+                if(x(i,ncol,nlev) > S_cld_att) then ! SR > 30.
                     toplvlsat = nlev+1
                     goto 99
@@ -867,16 +867,16 @@
           ! see Cesana and Chepfer 2013 Sect.III.2
           ! ##############################################################################
-          if(toplvlsat.ne.0) then
+          if(toplvlsat/=0) then
              do nlev = toplvlsat,Nlevels
                 p1 = pplay(i,nlev)
-                if(cldy(i,ncol,nlev).eq.1.)then
+                if(cldy(i,ncol,nlev)==1.)then
                    lidarcldphase(i,nlev,3) = lidarcldphase(i,nlev,3)+1._wp
                    tmpu(i,ncol,nlev)       = tmp(i,nlev)
                    cldlayphase(i,ncol,4,3) = 1._wp ! tot cloud
                    ! High cloud
-                   if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                   if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                       cldlayphase(i,ncol,3,3) = 1._wp
                    ! Middle cloud   
-                   else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                   else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                       cldlayphase(i,ncol,2,3) = 1._wp
                    ! Low cloud   
@@ -897,5 +897,5 @@
     ! Compute the Ice percentage in cloud = ice/(ice+liq) as a function of the occurrences
     lidarcldphasetmp(:,:) = lidarcldphase(:,:,1)+lidarcldphase(:,:,2);
-    WHERE (lidarcldphasetmp(:,:) .gt. 0.)
+    WHERE (lidarcldphasetmp(:,:) > 0.)
        lidarcldphase(:,:,6)=lidarcldphase(:,:,1)/lidarcldphasetmp(:,:)
     ELSEWHERE
@@ -905,5 +905,5 @@
     ! Compute Phase 3D Cloud Fraction
     !WHERE (nsub(:,Nlevels:1:-1) .gt. 0.0 )
-    WHERE (nsub(:,:) .gt. 0.0 )  
+    WHERE (nsub(:,:) > 0.0 )
        lidarcldphase(:,:,1)=lidarcldphase(:,:,1)/nsub(:,:)
        lidarcldphase(:,:,2)=lidarcldphase(:,:,2)/nsub(:,:)
@@ -938,5 +938,5 @@
     ! Compute the Ice percentage in cloud = ice/(ice+liq)
     cldlayerphasetmp(:,:)=cldlayerphase(:,:,1)+cldlayerphase(:,:,2)
-    WHERE (cldlayerphasetmp(:,:).gt. 0.)
+    WHERE (cldlayerphasetmp(:,:)> 0.)
        cldlayerphase(:,:,6)=cldlayerphase(:,:,1)/cldlayerphasetmp(:,:)
     ELSEWHERE
@@ -945,5 +945,5 @@
     
     do i=1,Nphase-1
-       WHERE ( cldlayerphasesum(:,:).gt.0.0 )
+       WHERE ( cldlayerphasesum(:,:)>0.0 )
           cldlayerphase(:,:,i) = (cldlayerphase(:,:,i)/cldlayerphasesum(:,:)) * cldlayer(:,:)
        ENDWHERE
@@ -954,10 +954,10 @@
           checkcldlayerphase=0.
           checkcldlayerphase2=0.
-          if (cldlayerphasesum(i,iz) .gt. 0.0 )then
+          if (cldlayerphasesum(i,iz) > 0.0 )then
              do ic=1,Nphase-3
                 checkcldlayerphase = checkcldlayerphase+cldlayerphase(i,iz,ic)
              enddo
              checkcldlayerphase2 = cldlayer(i,iz)-checkcldlayerphase
-             if((checkcldlayerphase2 .gt. 0.01) .or. (checkcldlayerphase2 .lt. -0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
+             if((checkcldlayerphase2 > 0.01) .or. (checkcldlayerphase2 < -0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
           endif
        enddo
@@ -965,5 +965,5 @@
     
     do i=1,Nphase-1
-       WHERE (nsublayer(:,:) .eq. 0.0)
+       WHERE (nsublayer(:,:) == 0.0)
           cldlayerphase(:,:,i) = undef
        ENDWHERE
@@ -975,14 +975,14 @@
           do i=1,Npoints
              do itemp=1,Ntemp
-                if(tmpi(i,ncol,nlev).gt.0.)then
-                   if((tmpi(i,ncol,nlev) .ge. tempmod(itemp)) .and. (tmpi(i,ncol,nlev) .lt. tempmod(itemp+1)) )then
+                if(tmpi(i,ncol,nlev)>0.)then
+                   if((tmpi(i,ncol,nlev) >= tempmod(itemp)) .and. (tmpi(i,ncol,nlev) < tempmod(itemp+1)) )then
                       lidarcldtemp(i,itemp,2)=lidarcldtemp(i,itemp,2)+1._wp
                    endif
-                elseif(tmpl(i,ncol,nlev) .gt. 0.)then
-                   if((tmpl(i,ncol,nlev) .ge. tempmod(itemp)) .and. (tmpl(i,ncol,nlev) .lt. tempmod(itemp+1)) )then
+                elseif(tmpl(i,ncol,nlev) > 0.)then
+                   if((tmpl(i,ncol,nlev) >= tempmod(itemp)) .and. (tmpl(i,ncol,nlev) < tempmod(itemp+1)) )then
                       lidarcldtemp(i,itemp,3)=lidarcldtemp(i,itemp,3)+1._wp
                    endif
-                elseif(tmpu(i,ncol,nlev) .gt. 0.)then
-                   if((tmpu(i,ncol,nlev) .ge. tempmod(itemp)) .and. (tmpu(i,ncol,nlev) .lt. tempmod(itemp+1)) )then
+                elseif(tmpu(i,ncol,nlev) > 0.)then
+                   if((tmpu(i,ncol,nlev) >= tempmod(itemp)) .and. (tmpu(i,ncol,nlev) < tempmod(itemp+1)) )then
                       lidarcldtemp(i,itemp,4)=lidarcldtemp(i,itemp,4)+1._wp
                    endif
@@ -1007,5 +1007,5 @@
     ! Compute the Ice percentage in cloud = ice/(ice+liq)
     sumlidarcldtemp(:,:)=lidarcldtemp(:,:,2)+lidarcldtemp(:,:,3)    
-    WHERE(sumlidarcldtemp(:,:) .gt. 0.)
+    WHERE(sumlidarcldtemp(:,:) > 0.)
        lidarcldtemp(:,:,5)=lidarcldtemp(:,:,2)/sumlidarcldtemp(:,:)
     ELSEWHERE
@@ -1014,5 +1014,5 @@
     
     do i=1,4
-       WHERE(lidarcldtempind(:,:) .gt. 0.)
+       WHERE(lidarcldtempind(:,:) > 0.)
           lidarcldtemp(:,:,i) = lidarcldtemp(:,:,i)/lidarcldtempind(:,:)
        ELSEWHERE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/mo_rng.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/mo_rng.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/mo_rng.F90	(revision 5082)
@@ -96,5 +96,5 @@
     !          so we use sizeof(someInt) to determine wheter it is on 32 bit.
     !if ( i2_16*i2_16 .le. huge32 ) then
-    if (digits(testInt) .le. 31) then
+    if (digits(testInt) <= 31) then
     !if (sizeof(testInt) .eq. 4) then
        r=r+1
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/optics_lib.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/optics_lib.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/optics_lib.F90	(revision 5082)
@@ -558,10 +558,10 @@
        if(tk < temref(4)) tk=temref(4)
        do i=2,4
-          if(tk.ge.temref(i)) go to 12
+          if(tk>=temref(i)) go to 12
        enddo
 12     lt1 = i
        lt2 = i-1
        do i=2,nwlt
-          if(alam.le.wlt(i)) go to 14
+          if(alam<=wlt(i)) go to 14
        enddo
 14     x1  = log(wlt(i-1))
@@ -652,5 +652,5 @@
     Complex(wp) :: A1
     
-    If ((Dx.Gt.Imaxx) .Or. (InP.Gt.ImaxNP)) Then
+    If ((Dx>Imaxx) .Or. (InP>ImaxNP)) Then
        Error = 1
        Return
@@ -659,11 +659,11 @@
     Ir = 1 / Cm
     Y =  Dx * Cm
-    If (Dx.Lt.0.02) Then
+    If (Dx<0.02) Then
        NStop = 2
     Else
-       If (Dx.Le.8.0) Then
+       If (Dx<=8.0) Then
           NStop = Dx + 4.00*Dx**(1./3.) + 2.0
        Else
-          If (Dx.Lt. 4200.0) Then
+          If (Dx< 4200.0) Then
              NStop = Dx + 4.05*Dx**(1./3.) + 2.0
           Else
@@ -673,5 +673,5 @@
     End If
     NmX = Max(Real(NStop),Real(Abs(Y))) + 15.
-    If (Nmx .gt. Itermax) then
+    If (Nmx > Itermax) then
        Error = 1
        Return
@@ -726,5 +726,5 @@
 !ds       Dqxt = Tnp1 *      Dble(A + B)          + Dqxt
        Dqsc = Tnp1 * (A*Conjg(A) + B*Conjg(B)) + Dqsc
-       If (N.Gt.1) then
+       If (N>1) then
           Dg = Dg + (dN*dN - 1) * (ANM1*Conjg(A) + BNM1 * Conjg(B)) / dN + TNM1 *(ANM1*Conjg(BNM1)) / (dN*dN - dN)
 !ds          Dg = Dg + (dN*dN - 1) * Dble(ANM1*Conjg(A) + BNM1 * Conjg(B)) / dN + TNM1 * Dble(ANM1*Conjg(BNM1)) / (dN*dN - dN)
@@ -735,5 +735,5 @@
        AMB = A2 * (A - B)
        Do I = 1,Inp2
-          If (I.GT.Inp) Then
+          If (I>Inp) Then
              S(I) = -Pi1(I)
           Else
@@ -756,5 +756,5 @@
     End Do
 
-    If (Dg .GT.0) Dg = 2 * Dg / Dqsc
+    If (Dg >0) Dg = 2 * Dg / Dqsc
     Dqsc =  2 * Dqsc / Dx**2
     Dqxt =  2 * Dqxt / Dx**2
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/parasol.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/parasol.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/parasol.F90	(revision 5082)
@@ -97,5 +97,5 @@
 
     ! Relative fraction of the opt. thick due to liquid or ice clouds
-    WHERE (tautot_S(1:npoints) .gt. 0.)
+    WHERE (tautot_S(1:npoints) > 0.)
        frac_taucol_liq(1:npoints) = tautot_S_liq(1:npoints) / tautot_S(1:npoints)
        frac_taucol_ice(1:npoints) = tautot_S_ice(1:npoints) / tautot_S(1:npoints)
@@ -118,6 +118,6 @@
     DO it=1,PARASOL_NREFL
        DO ny=1,PARASOL_NTAU-1
-          WHERE (tautot_S(1:npoints) .ge. PARASOL_TAU(ny).and. &
-                 tautot_S(1:npoints) .le. PARASOL_TAU(ny+1))
+          WHERE (tautot_S(1:npoints) >= PARASOL_TAU(ny).and. &
+                 tautot_S(1:npoints) <= PARASOL_TAU(ny+1))
              rlumA_mod(1:npoints,it) = aA(it,ny)*tautot_S(1:npoints) + bA(it,ny)
              rlumB_mod(1:npoints,it) = aB(it,ny)*tautot_S(1:npoints) + bB(it,ny)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90	(revision 5082)
@@ -257,5 +257,5 @@
           cfg%Lrttov_sim,cfg%Lstats
 
-    if (overlaplmdz.ne.overlap) then
+    if (overlaplmdz/=overlap) then
        print*,'Attention overlaplmdz different de overlap lu dans namelist '
     endif
@@ -265,5 +265,5 @@
 
 !!! Ici on modifie les cles logiques pour les outputs selon les champs actives dans les .xml
-  if ((itap.gt.1).and.(first_write))then
+  if ((itap>1).and.(first_write))then
     
     IF (using_xios)   call read_xiosfieldactive(cfg)
@@ -331,5 +331,5 @@
 
         do ip = 1, Npoints
-          if (fracTerLic(ip).ge.0.5) then
+          if (fracTerLic(ip)>=0.5) then
              gbx%land(ip) = 1.
           else
